Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Class StateController

    java.lang.Object
      kieker.monitoring.core.controller.AbstractController
          kieker.monitoring.core.controller.StateController

All Implemented Interfaces:
  IStateController

    public final class StateController

extends AbstractController
implements IStateController

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Method Summary
`boolean` | `disableMonitoring()` Disables monitoring.
`boolean` | `enableMonitoring()` Enables monitoring.
`int` | `getExperimentId()`
`String` | `getHostname()` The hostname will be part of the monitoring data and allows to distinguish observations in cases where the software system is deployed on more than one host.
`String` | `getName()` Returns the name of this controller.
`int` | `incExperimentId()` Increments the experiment ID by 1 and returns the new value.
`boolean` | `isDebug()` Is the debug mode enabled?
`boolean` | `isMonitoringEnabled()` Returns whether monitoring is enabled or disabled/terminated.
`boolean` | `isMonitoringTerminated()` Returns whether monitoring is permanently terminated.
`void` | `setExperimentId(int newExperimentID)` Sets the experiment ID to the given value.
`boolean` | `terminateMonitoring()` Permanently terminates monitoring.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public final String toString()

  Specified by:
    `toString` in class `AbstractController`

### terminateMonitoring

    public final boolean terminateMonitoring()

  Permanently terminates monitoring.

  Specified by:
    `terminateMonitoring` in interface `IStateController`
  Returns:
    true if now terminated; false if already terminated
  See Also:
    `IStateController.isMonitoringTerminated()`

### isMonitoringTerminated

    public final boolean isMonitoringTerminated()

  Description copied from interface: `IStateController`
  Returns whether monitoring is permanently terminated.

  Specified by:
    `isMonitoringTerminated` in interface `IStateController`
  Returns:
    true if monitoring is permanently terminated, false if monitoring is enabled or disabled.
  See Also:
    `IStateController.terminateMonitoring()`

### enableMonitoring

    public final boolean enableMonitoring()

  Enables monitoring.

  Specified by:
    `enableMonitoring` in interface `IStateController`
  Returns:
    true if monitoring is enabled, false otherwise

### disableMonitoring

    public final boolean disableMonitoring()

  Disables monitoring. If monitoring is disabled, the MonitoringController simply pauses. Furthermore, probes should stop collecting new data and monitoring writers stop should stop writing existing data.

  Specified by:
    `disableMonitoring` in interface `IStateController`
  Returns:
    true if monitoring is disabled, false otherwise

### isMonitoringEnabled

    public final boolean isMonitoringEnabled()

  Description copied from interface: `IStateController`
  Returns whether monitoring is enabled or disabled/terminated.

  Specified by:
    `isMonitoringEnabled` in interface `IStateController`
  Returns:
    true of monitoring is enabled, false if monitoring is disabled or terminated.
  See Also:
    `IStateController.disableMonitoring()`, `IStateController.enableMonitoring()`

### getName

    public final String getName()

  Description copied from interface: `IStateController`
  Returns the name of this controller.

  Specified by:
    `getName` in interface `IStateController`
  Returns:
    String

### getHostname

    public final String getHostname()

  Description copied from interface: `IStateController`
  The hostname will be part of the monitoring data and allows to distinguish observations in cases where the software system is deployed on more than one host. When you want to distinguish multiple Virtual Machines on one host, you* have to set the hostname manually in the Configuration.

  Specified by:
    `getHostname` in interface `IStateController`
  Returns:
    The hostname.

### incExperimentId

    public final int incExperimentId()

  Increments the experiment ID by 1 and returns the new value.

  Specified by:
    `incExperimentId` in interface `IStateController`
  Returns:
    experimentID

### setExperimentId

    public final void setExperimentId(int newExperimentID)

  Sets the experiment ID to the given value.

  Specified by:
    `setExperimentId` in interface `IStateController`
  Parameters:
    `newExperimentID` - The new ID.

### getExperimentId

    public final int getExperimentId()

  Specified by:
    `getExperimentId` in interface `IStateController`
  Returns:
    The experiment ID.

### isDebug

    public final boolean isDebug()

  Description copied from interface: `IStateController`
  Is the debug mode enabled?

  Debug mode is for internal use only and changes a few internal id generation mechanisms to enable easier debugging. Additionally, it is possible to enable debug logging in the settings of the used logger.

  Specified by:
    `isDebug` in interface `IStateController`
  Returns:
    debug mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net